Initiates template upload process by returning a signed URL for secure file upload.
POST
/
api
/
v1
/
templates
Upload template
curl --request POST \
--url https://api.example.com/api/v1/templates \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"filename": "<string>",
"org_name": "<string>",
"file_size": 123,
"metadata": {
"category": "<string>",
"tags": [
"<string>"
],
"description": "<string>",
"version": "<string>"
}
}
'import requests
url = "https://api.example.com/api/v1/templates"
payload = {
"filename": "<string>",
"org_name": "<string>",
"file_size": 123,
"metadata": {
"category": "<string>",
"tags": ["<string>"],
"description": "<string>",
"version": "<string>"
}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filename: '<string>',
org_name: '<string>',
file_size: 123,
metadata: {
category: '<string>',
tags: ['<string>'],
description: '<string>',
version: '<string>'
}
})
};
fetch('https://api.example.com/api/v1/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"template_id": "<string>",
"upload_url": "<string>",
"expires_in": 123,
"status": "pending",
"upload_method": "signed_url",
"max_file_size": 10485760,
"allowed_extensions": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Production API key. Development/test deployments may also allow X-Org-Name.
Body
application/json
Request schema for template upload initiation.
Name of the template file
Organization name for multi-tenancy. If provided, must match the API key's organization. If omitted, the API key's organization is used.
File size in bytes (for pre-validation)
Template metadata.
Show child attributes
Show child attributes
Response
Successful Response
Response schema for template upload initiation.
⌘I
Upload template
